# Kikojas POI locator

## Basics

This library allows third party websites to use Cedar maps and kikojas specific categories of POIs on their pages. The basic idea is you give the location you want to explore and we fetch data from kikojas and display them on Cedar Maps.

## How to use

You don't need any third party library in order to use kikojas POI locator. The dist file includes all of the dependencies. As you can see in the example, you need to provide an access token. *Please see example/access-token.sample.js*

Sample code:
```javascript
Kikojas.nearby(lat, lng, {
    accessToken: '<Your access token here>',
    mapContainer: 'poi-locator',
    categories: ['bus', 'park', 'shopping', 'hospital', 'school'],
    poiLimit: 5,
    popupContent: '<em>HTML</em> is possible here.',
    noPoiLink: true,
    lockScroll: false,
    searchDistance: 2,
    callback: function(map, mainMarker, pois){}
});
```

### Parameters explained:

*accessToken*: The access token for Cedar Maps service.

*mapContainer*: The id of html element to put the map into.

*categories*: The list of catogories to load. Possible values are:
1. park
2. bus
3. shopping
4. hospital
5. school

*poiLimit*: Max number of POIs fetched for each category.

*popupContent*: The popup content of the main marker.

*noPoiLink*: Do not link the pois to Kikojas.

*lockScroll*: Use zoom controls instead of wheel scroll.

*seachDistance*: The search radius.

*defaultZoom*: Default zoom for map.

*callback**: function to call after initialization is completed. Passed parameters are: map, main marker object, and POIs array.